Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Latest version: "Signature extraction failed: Traceback" and "Unsupported JS expression." #23915

Closed
sawyer07 opened this issue Jan 31, 2020 · 1 comment

Comments

@sawyer07
Copy link

@sawyer07 sawyer07 commented Jan 31, 2020

youtube-dl --version yields 2020.01.24 - latest version. Curiously, several recent posts of similar nature have been closed and flagged for "outdated version" without explanation.

Example affected video: https://www.youtube.com/watch?v=I8KSAtos-dk playable in browser.

Checklist (latest version confirmed)

  • I'm reporting a broken site support issue
  • I've verified that I'm running the latest youtube-dl version 2020.01.24
  • I've checked that all provided URLs are alive and playable in a browser
  • I've checked that all URLs and arguments with special characters are properly quoted or escaped
  • I've searched the bugtracker for similar bug reports including closed ones
  • I've read bugs section in FAQ

Verbose log

~>youtube-dl --verbose 'https://www.youtube.com/watch?v=I8KSAtos-dk' 
[debug] System config: [] 
[debug] User config: [] 
[debug] Custom config: [] 
[debug] Command-line args: ['--verbose', 'https://www.youtube.com/watch?v=I8KSAtos-dk'] 
[debug] Encodings: locale UTF-8, fs utf-8, out UTF-8, pref UTF-8 
[debug] youtube-dl version 2019.12.25 
[debug] Python version 3.6.9 (CPython) - Linux-4.15.0-64-generic-x86_64-with-LinuxMint-19-tara 
[debug] exe versions: ffmpeg 3.4.6, ffprobe 3.4.6 
[debug] Proxy map: {} 
[youtube] I8KSAtos-dk: Downloading webpage 
[youtube] I8KSAtos-dk: Downloading video info webpage 
[youtube] {18} signature length 106, html5 player vfl1GpCbm 
[youtube] I8KSAtos-dk: Downloading player https://www.youtube.com/yts/jsbin/player_ias-vfl1GpCbm/en_US/base.js 
ERROR: Signature extraction failed: Traceback (most recent call last): 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1384, in _decrypt_signature 
    video_id, player_url, s 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1297, in _extract_signature_function 
    cache_res = res(test_string) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1360, in <lambda> 
    return lambda s: initial_function([s]) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 258, in resf 
    res, abort = self.interpret_statement(stmt, local_vars) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 56, in interpret_statement 
    v = self.interpret_expression(expr, local_vars, allow_recursion) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 92, in interpret_expression 
    m.group('expr'), local_vars, allow_recursion - 1) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 189, in interpret_expression 
    m.group('x'), local_vars, allow_recursion - 1) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 56, in interpret_statement 
    v = self.interpret_expression(expr, local_vars, allow_recursion) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 211, in interpret_expression 
    raise ExtractorError('Unsupported JS expression %r' % expr) 
youtube_dl.utils.ExtractorError: Unsupported JS expression '[1376500448,'; please report this issue on https://yt-dl.org/bug .... 
 (caused by ExtractorError("Unsupported JS expression '[1376500448,'; please report this issue on https://yt-dl.org/bug .... 
Traceback (most recent call last): 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1384, in _decrypt_signature 
    video_id, player_url, s 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1297, in _extract_signature_function 
    cache_res = res(test_string) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1360, in <lambda> 
    return lambda s: initial_function([s]) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 258, in resf 
    res, abort = self.interpret_statement(stmt, local_vars) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 56, in interpret_statement 
    v = self.interpret_expression(expr, local_vars, allow_recursion) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 92, in interpret_expression 
    m.group('expr'), local_vars, allow_recursion - 1) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 189, in interpret_expression 
    m.group('x'), local_vars, allow_recursion - 1) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 56, in interpret_statement 
    v = self.interpret_expression(expr, local_vars, allow_recursion) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 211, in interpret_expression 
    raise ExtractorError('Unsupported JS expression %r' % expr) 
youtube_dl.utils.ExtractorError: Unsupported JS expression '[1376500448,'; please report this issue on https://yt-dl.org/bug ....  
Traceback (most recent call last): 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1384, in _decrypt_signature 
    video_id, player_url, s 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1297, in _extract_signature_function 
    cache_res = res(test_string) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1360, in <lambda> 
    return lambda s: initial_function([s]) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 258, in resf 
    res, abort = self.interpret_statement(stmt, local_vars) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 56, in interpret_statement 
    v = self.interpret_expression(expr, local_vars, allow_recursion) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 92, in interpret_expression 
    m.group('expr'), local_vars, allow_recursion - 1) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 189, in interpret_expression 
    m.group('x'), local_vars, allow_recursion - 1) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 56, in interpret_statement 
    v = self.interpret_expression(expr, local_vars, allow_recursion) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 211, in interpret_expression 
    raise ExtractorError('Unsupported JS expression %r' % expr) 
youtube_dl.utils.ExtractorError: Unsupported JS expression '[1376500448,'; please report this issue on https://yt-dl.org/bug .... 
During handling of the above exception, another exception occurred: 
Traceback (most recent call last): 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/YoutubeDL.py", line 796, in extract_info 
    ie_result = ie.extract(url) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/common.py", line 530, in extract 
    ie_result = self._real_extract(url) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 2047, in _real_extract 
    encrypted_sig, video_id, player_url, age_gate) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1394, in _decrypt_signature 
    'Signature extraction failed: ' + tb, cause=e) 
youtube_dl.utils.ExtractorError: Signature extraction failed: Traceback (most recent call last): 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1384, in _decrypt_signature 
    video_id, player_url, s 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1297, in _extract_signature_function 
    cache_res = res(test_string) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/extractor/youtube.py", line 1360, in <lambda> 
    return lambda s: initial_function([s]) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 258, in resf 
    res, abort = self.interpret_statement(stmt, local_vars) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 56, in interpret_statement 
    v = self.interpret_expression(expr, local_vars, allow_recursion) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 92, in interpret_expression 
    m.group('expr'), local_vars, allow_recursion - 1) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 189, in interpret_expression 
    m.group('x'), local_vars, allow_recursion - 1) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 56, in interpret_statement 
    v = self.interpret_expression(expr, local_vars, allow_recursion) 
  File "/home/oarion7/.local/lib/python3.6/site-packages/youtube_dl/jsinterp.py", line 211, in interpret_expression 
    raise ExtractorError('Unsupported JS expression %r' % expr) 
youtube_dl.utils.ExtractorError: Unsupported JS expression '[1376500448,'; please report this issue on https://yt-dl.org/bug .... 

Description

Download of certain videos yields python string extraction errors. "ERROR: Signature extraction failed: Traceback" and "Unsupported JS expression."

@forresthopkinsa

This comment has been minimized.

Copy link

@forresthopkinsa forresthopkinsa commented Jan 31, 2020

I was having this error, I upgraded to 2020.01.24 (literally just downloaded the binary in the Github release and ran it in the same directory) and the problem went away.

@dstftw dstftw closed this Jan 31, 2020
@ytdl-org ytdl-org locked and limited conversation to collaborators Jan 31, 2020
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
3 participants
You can’t perform that action at this time.